cURL
curl --request POST \
--url https://{portalApiUrl}/grp/create \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"grp_name": "my-new-group",
"grp_description": "Description of my group",
"grp_parent_id": 3981,
"grp_external_id": "12345678",
"grp_external_name": "External name"
}
'import requests
url = "https://{portalApiUrl}/grp/create"
payload = {
"grp_name": "my-new-group",
"grp_description": "Description of my group",
"grp_parent_id": 3981,
"grp_external_id": "12345678",
"grp_external_name": "External name"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grp_name: 'my-new-group',
grp_description: 'Description of my group',
grp_parent_id: 3981,
grp_external_id: '12345678',
grp_external_name: 'External name'
})
};
fetch('https://{portalApiUrl}/grp/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"result": {
"grp_id": 123,
"grp_name": "<string>",
"grp_description": "<string>",
"grp_parent_id": 123,
"grp_external_id": "<string>",
"grp_external_name": "<string>",
"grp_created_date": "2023-11-07T05:31:56Z",
"grp_updated_date": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>"
}Group
Create group
Create a new grp
POST
/
grp
/
create
cURL
Authorizations
Authentication token obtained from POST /token
Body
application/json
Internal key name of the group
Human-readable description of the group
ID of the parent group (for nested groups)
External identifier for integration with third-party systems
Alternate name from the external system
⌘I